package exemples.javarmi.hello;
import java.rmi.Naming;

public class HelloClient {
    public static void main(String[] args){
        /* lance le SecurityManager */
        System.setSecurityManager(new SecurityManager());
        try {
            String server = args[0];
            int port = Integer.parseInt(args[1]);
            /* cherche référence objet distant */
            HelloInterface hello = (HelloInterface)Naming.lookup("rmi://"+server+":"+port+"/Hello1");
            /* appel de méthode à distance */
            System.out.println(hello.sayHello());
        }
        catch (Exception e) {
            System.out.println ("Erreur client : " + e);
        }
    }
}
